From adb6d7fb418f07e54afe14500824f52f62a90991 Mon Sep 17 00:00:00 2001
From: satish <satish@ubuntu.ubuntu-domain>
Date: Wed, 7 Nov 2012 19:55:26 +0530
Subject: [PATCH] Dont create libVLC instance if device is not compatible

throw exception and if device is not compatible with libvlc.so
---
 vlc-android/src/org/videolan/vlc/LibVLC.java                        | 2 +-
 vlc-android/src/org/videolan/vlc/gui/video/VideoPlayerActivity.java | 2 ++
 2 files changed, 3 insertions(+), 1 deletion(-)

diff --git a/vlc-android/src/org/videolan/vlc/LibVLC.java b/vlc-android/src/org/videolan/vlc/LibVLC.java
index 8ad1a49..723c198 100644
--- a/vlc-android/src/org/videolan/vlc/LibVLC.java
+++ b/vlc-android/src/org/videolan/vlc/LibVLC.java
@@ -201,7 +201,7 @@ public class LibVLC {
         if (!mIsInitialized) {
             if(!Util.hasCompatibleCPU()) {
                 Log.e(TAG, Util.getErrorMsg());
-                return;
+                throw new LibVlcException();
             }
             Context context = VLCApplication.getAppContext();
             SharedPreferences pref = PreferenceManager.getDefaultSharedPreferences(context);
diff --git a/vlc-android/src/org/videolan/vlc/gui/video/VideoPlayerActivity.java b/vlc-android/src/org/videolan/vlc/gui/video/VideoPlayerActivity.java
index 792754d..a60f831 100644
--- a/vlc-android/src/org/videolan/vlc/gui/video/VideoPlayerActivity.java
+++ b/vlc-android/src/org/videolan/vlc/gui/video/VideoPlayerActivity.java
@@ -261,6 +261,8 @@ public class VideoPlayerActivity extends Activity {
             mLibVLC = LibVLC.getInstance();
         } catch (LibVlcException e) {
             e.printStackTrace();
+            Log.d(TAG, "LibVLC initialisation failed");
+            return;
         }
 
         EventManager em = EventManager.getInstance();
-- 
1.8.0

